API explorerTeams
Change a member's role; `owner` transfers ownership (owner only)
PATCH /api/agent/teams/{id}/members/{userId}. Required scopes: teams:write.
Loading API reference…
Required scopes: teams:write
bearer teams:writeAuthorizationBearer <token>A Notify agent token from notify auth login or the dashboard.
Scope: teams:write
id*stringuserId*stringapplication/jsonrole*string"owner""admin""member"Success
application/jsonmember*curl -X PATCH 'https://example.com/api/agent/teams/string/members/string' \ -H 'Content-Type: application/json' \ -d '{ "role": "owner"}'{ "member": { "userId": "string", "name": "string", "email": "string", "image": "string", "role": "owner", "joinedAt": "2019-08-24T14:15:22Z" }}